summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorCarlos Martín Nieto <cmn@dwim.me>2015-09-21 21:40:37 +0200
committerCarlos Martín Nieto <cmn@dwim.me>2016-04-19 13:54:19 +0200
commit2f3f1ee08532b10993b7e9270e5fe61f08f795ee (patch)
tree24dba8fd7f9d8fbfa933063aeacdd33493052977 /script
parent4e01741390d1bed120a44456236ef70d9304380b (diff)
downloadlibgit2-2f3f1ee08532b10993b7e9270e5fe61f08f795ee.tar.gz
proxy: test proxy support on Travis
Diffstat (limited to 'script')
-rwxr-xr-xscript/cibuild.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/script/cibuild.sh b/script/cibuild.sh
index 00cde0ada..b2a928a65 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -49,12 +49,26 @@ export GITTEST_REMOTE_SSH_KEY="$HOME/.ssh/id_rsa"
export GITTEST_REMOTE_SSH_PUBKEY="$HOME/.ssh/id_rsa.pub"
export GITTEST_REMOTE_SSH_PASSPHRASE=""
+
+# Can we ask Travis to cache this file?
+curl -L https://github.com/ethomson/poxyproxy/releases/download/v0.1.0/poxyproxy-0.1.0.jar >poxyproxy.jar || exit $?
+
if [ -e ./libgit2_clar ]; then
./libgit2_clar -sonline::push -sonline::clone::ssh_cert &&
./libgit2_clar -sonline::clone::ssh_with_paths || exit $?
if [ "$TRAVIS_OS_NAME" = "linux" ]; then
./libgit2_clar -sonline::clone::cred_callback || exit $?
fi
+
+ java -jar poxyproxy.jar -d --port 8080 --credentials foo:bar &
+
+ export GITTEST_REMOTE_PROXY_URL="http://foo:bar@localhost:8080/"
+ ./libgit2_clar -sonline::clone::proxy_credentials_in_url
+ export GITTEST_REMOTE_PROXY_URL="http://localhost:8080/"
+ export GITTEST_REMOTE_PROXY_USER="foo"
+ export GITTEST_REMOTE_PROXY_PASS="bar"
+ ./libgit2_clar -sonline::clone::proxy_credentials_request
+
fi
export GITTEST_REMOTE_URL="https://github.com/libgit2/non-existent"